Package uk.ac.starlink.vo

## Class ConeVerbosity

- java.lang.Object
- - uk.ac.starlink.vo.ConeVerbosity

-     public class ConeVerbosity
      extends java.lang.Object

  Enumeration class which describes verbosity levels permitted by the Cone Search standard.
  See Also:
    Cone Search standard

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` |
    `java.lang.String` | `getComment()` | Returns a one-word characterisation of this verbosity level.
    `int` | `getLevel()` | Returns the integer verbosity level.
    `static ConeVerbosity[]` | `getOptions()` | Returns legal verbosities for a cone search.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` | Stringified level, suitable for use in a combo box.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

      Returns a one-word characterisation of this verbosity level.
      Returns:
        verbosity in text

    - #### getLevel

          public int getLevel()

      Returns the integer verbosity level.
      Returns:
        verbosity as an integer

    - #### toString

          public java.lang.String toString()

      Stringified level, suitable for use in a combo box.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getOptions

          public static ConeVerbosity[] getOptions()

      Returns legal verbosities for a cone search.
      Returns:
        array of verbosities 1, 2, 3